package com.palmnest.webapp.quartz;

import com.palmnest.service.repair.RepairBillService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 工程维修工单完成状态24*7小时后自动五星好评
 * @author wangxz
 * <p>
 * 2018年5月15日
 */
@Slf4j
@Component("repairAutomaticHighPraiseTask")
public class RepairAutomaticHighPraiseTask {

	@Autowired
	private RepairBillService repairBillService;

	public void run() {
		log.info("quartz into RepairAutomaticHighPraiseTask start ...");
		try {
			repairBillService.automaticHighPraise();
		} catch (Exception e) {
			e.printStackTrace();
			log.error(e.getMessage());
		}
		log.info("quartz into RepairAutomaticHighPraiseTask end ...");


	}
}
